<?php
$title = "Edit Positions";
headers(array('title'=>$title,'menu'=>1));

$sql = "select positions.*,orgs.name as org_name from positions,orgs where orgs.id=positions.org_id or positions.org_id is NULL";
$result = $dbh->query($sql);
my_syslog(LOG_DEBUG,'edit-positions get: '.$sql);
if(DB::isError($result))
{
  my_syslog(LOG_ERR,'edit-positions get isError: '.$result->getMessage());
  my_syslog(LOG_ERR,'edit-positions get  result: '.var_export($result));
  exit("Database error");
}
?>

<h2>Existing Position Types</h2>
<p>There are currently <?=$result->numRows()?> types of positions.</p>
<?php
if($result->numRows()) {
  ?>
  <table cellspacing="0" class="pretty">
  <thead>
  <tr>
    <th scope="col">Action</th>
    <th scope="col">ID</th>
    <th scope="col">Org</th>
    <th scope="col">Title</th>
    <th scope="col">Description</th>
  </tr>
  </thead>
  <tbody>
  <?php
  while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
    print '<tr>';
    print '<td><a href="'.$PHP_SELF.'?page=edit-positions&edit='.$row->id.'">edit</a>|<a href="'.$PHP_SELF.'?page=edit-positions&delete='.$row->id.'">delete</a></td>';
    print '<td>'.$row->id.'</td>';
    print '<td>'.$row->org_name.'</td>';
    print '<td>'.$row->title.'</td>';
    print '<td>'.$row->description.'</td>';
    print '</tr>'."\n";
  }
  ?>
  </tbody>
  </table>
<?php
} // if result->numrows


?>
<h2>Add Position Type</h2>
<form name="main" method="POST" action="<?=$PHP_SELF?>?page=edit-positions">
<input type="hidden" name="function" value="add-position-type"/>
    <p class="field">
      <label for="title">Title: </label>
      <input type="text" id="title" name="title"/>
    </p>

    <p class="field">
      <label for="description">Description: </label>
      <input type="text" id="description" name="description"/>
    </p>

    <input type="submit" name="submit" value="Add"/>
</form>
