<?php
/*
 * Confirm Membership
 * ------------------
 *
 * This function is called after a user receives
 * an email requesting them to confirm their membership
 * (i.e. that their email address is valid)
 *
 * (C)2003 Stewart Smith.
 * Licensed under the GPL.
 *
 */

$id = $_GET['id']+0; // id is parameter, using GET method

$sql = "select members.id as id from members,org_members where ".
       "org_members.org_id=".$config['org_id']." and ".
       "members.id = org_members.member_id and ".
       "org_members.member_type_id = (select id from member_types where type='Applied') and members.id = ".$id;

my_syslog(LOG_DEBUG,$sql);

$result = $dbh->query($sql);
if (DB::isError($result)) {
  my_syslog(LOG_INFO,"1 ".$result->getMessage());
  $message = 'Cannot confirm this ID';
}
else
{
  $row =  $result->fetchrow(DB_FETCHMODE_OBJECT);
  my_syslog(LOG_DEBUG,"About to change ".$row->id." to Pending ($id) (".($row->id==$id).")");
  if($row->id==$id)
    {
      $sql = 'insert into org_members (org_id,member_id,member_type_id,start_date,expiry) values ('.$config['org_id'].','.$id.",(select id from member_types where type='Pending'),now(),now()+'1year')";
      my_syslog(LOG_DEBUG,$sql);
      $result = $dbh->query($sql);
      if (DB::isError($result)) {
	my_syslog(LOG_INFO,$result->getMessage());
      }
      $sql = 'select * from members where id='.$id;
      $result = $dbh->query($sql);
      if (DB::isError($result)) {
	my_syslog(LOG_INFO,$result->getMessage());
      }
      $row = $result->fetchrow(DB_FETCHMODE_OBJECT);

      include $config['basedir'].'/site-messages/signup/confirm-application.inc';
      $message = 'Confirmed Application';
    }
  else
    {
      my_syslog(LOG_DEBUG,"Cannot Confirm $id - $row->id");
      $message = 'Cannot confirm this ID';
    }
}
?>
